body {
    font-family: Arial, sans-serif;
    padding: 20px;
    background-color: #f5f5f5; /* Color de fondo general */
  }
  
  h1, h2, h3 {
    margin-bottom: 10px;
    color: #333; /* Color de los encabezados */
  }
  
  form {
    margin-bottom: 20px;
  }
  
  label {
    display: block;
    margin-bottom: 5px;
  }
  
  input[type="text"],
  input[type="date"],
  input[type="number"],
  button {
    margin-bottom: 10px;
  }
  
  table {
    width: 100%;
    border-collapse: collapse;
  }
  
  th, td {
    padding: 8px;
    border-bottom: 1px solid #ddd;
  }
  
  th {
    background-color: #f2f2f2;
  }
  
  /* Estilo para resaltar en rojo las filas con menos de 30 días para vencer */
  .red-text {
    color: red;
  }
  
/* Estilo para el botón de cambio de modo */
#toggleModeBtn {
    margin-bottom: 20px;
  }
  
  /* Estilo para el modo oscuro */
  .dark-mode {
    background-color: #333;
    color: #fff;
  }
  
  .dark-mode th {
    background-color: #444;
    color: #fff;
  }
  
  /* Estilo para las filas en modo oscuro */
  .dark-mode tr {
    border-bottom: 1px solid #444;
  }

  .dark-mode  h1, h2, h3 {
    margin-bottom: 10px;
    color: #ffffff; /* Color de los encabezados */
  }
  
  /* Estilo para resaltar en rojo en modo oscuro */
  .dark-mode .red-text {
    color: #ff4d4d;
  }
    